curl --request PATCH \
--url https://api-sandbox.synctera.com/v0/addresses/{address_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"address_line_1": "100 Main St.",
"address_line_2": "Suite 99",
"city": "New York",
"country_code": "US",
"is_active": true,
"is_registered_agent": true,
"nickname": "Home",
"postal_code": "28620",
"state": "NY"
}
'import requests
url = "https://api-sandbox.synctera.com/v0/addresses/{address_id}"
payload = {
"address_line_1": "100 Main St.",
"address_line_2": "Suite 99",
"city": "New York",
"country_code": "US",
"is_active": True,
"is_registered_agent": True,
"nickname": "Home",
"postal_code": "28620",
"state": "NY"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
address_line_1: '100 Main St.',
address_line_2: 'Suite 99',
city: 'New York',
country_code: 'US',
is_active: true,
is_registered_agent: true,
nickname: 'Home',
postal_code: '28620',
state: 'NY'
})
};
fetch('https://api-sandbox.synctera.com/v0/addresses/{address_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"creation_date": "2019-01-01T00:00:00Z",
"is_active": true,
"last_updated_time": "2010-05-06T12:23:34.321Z",
"address_line_1": "100 Main St.",
"country_code": "US",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"business_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"customer_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"address_line_2": "Suite 99",
"address_type": "SHIPPING",
"city": "New York",
"is_registered_agent": true,
"nickname": "Home",
"postal_code": "28620",
"state": "NY"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Update address information by id
Update address
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the address
"1a582c51-e4ff-4e57-9558-08cab6b963aa"
Body
Address patch details
Street address line 1
"100 Main St."
Street address line 2
"Suite 99"
City
"New York"
ISO-3166-1 Alpha-2 country code
^[A-Z]{2}$"US"
Whether the address is active or not
true
Indicates whether an address is a registered agent. Omitted if the address is not a registered agent.
true
A nickname for the address. This is used to identify the address in the UI.
"Home"
Postal code. For US, formats of 12345 or 12345-1234 are accepted. For CA, formats of A1A 1A1 or A1A1A1 (regardless of case) are accepted, and will be converted to A1A 1A1 format.
"28620"
State, region, province, or prefecture. This is the ISO-3166-2 subdivision code, excluding the country prefix. For example, TX for Texas USA or TAM for Tamaulipas Mexico. Its length varies by country, e.g. 2 characters for US, 3 for MX.
"NY"
Response
Updated address information
Date and time when the address was created.
"2019-01-01T00:00:00Z"
Whether the address is active or not
true
"2010-05-06T12:23:34.321Z"
Street address line 1
"100 Main St."
ISO-3166-1 Alpha-2 country code
^[A-Z]{2}$"US"
The unique identifier for this resource.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
The identifier for the business customer associated with address.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
The identifier for the personal customer associated with address.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Street address line 2
"Suite 99"
Specifies the address type.
BILLING, LEGAL, OPERATING, OTHER, SHIPPING "SHIPPING"
City
"New York"
Indicates whether an address is a registered agent. Omitted if the address is not a registered agent.
true
A nickname for the address. This is used to identify the address in the UI.
"Home"
Postal code. For US, formats of 12345 or 12345-1234 are accepted. For CA, formats of A1A 1A1 or A1A1A1 (regardless of case) are accepted, and will be converted to A1A 1A1 format.
"28620"
State, region, province, or prefecture. This is the ISO-3166-2 subdivision code, excluding the country prefix. For example, TX for Texas USA or TAM for Tamaulipas Mexico. Its length varies by country, e.g. 2 characters for US, 3 for MX.
"NY"
Was this page helpful?

